net.corda.client.model

## Class InputResolution.Resolved

- InputResolution
- - net.corda.client.model.PartiallyResolvedTransaction.InputResolution.Resolved

- Enclosing class:
    PartiallyResolvedTransaction.InputResolution

      public static class InputResolution.Resolved
      extends InputResolution

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.client.model.PartiallyResolvedTransaction.InputResolution

      `InputResolution.Resolved, InputResolution.Unresolved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resolved(StateAndRef<? extends net.corda.core.contracts.ContractState> stateAndRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateAndRef<net.corda.core.contracts.ContractState>` | `getStateAndRef()`

    - ### Methods inherited from class net.corda.client.model.PartiallyResolvedTransaction.InputResolution

      `getStateRef`

- - ### Constructor Detail

    - #### Resolved

          public Resolved(StateAndRef<? extends net.corda.core.contracts.ContractState> stateAndRef)

  - ### Method Detail

    - #### getStateAndRef

          public StateAndRef<net.corda.core.contracts.ContractState> getStateAndRef()